Bug 1523939 - rhel-osp-director: 8.0->9.0 upgrade, major-upgrade-pacemaker-converge.yaml step fails with Error: /Stage[main]/Cinder::Setup_test_volume/Exec[pvcreate /dev/loop2]: pvcreate /dev/loop2 returned 5 instead of one of [0]
Summary: rhel-osp-director: 8.0->9.0 upgrade, major-upgrade-pacemaker-converge.yaml s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-puppet-modules
Version: 8.0 (Liberty)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: zstream
: 8.0 (Liberty)
Assignee: RHOS Maint
QA Contact: Avi Avraham
URL:
Whiteboard:
Depends On: 1356683 1412661 1419187
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-09 10:14 UTC by Sofer Athlan-Guyot
Modified: 2021-03-11 16:35 UTC (History)
30 users (show)

Fixed In Version: openstack-puppet-modules-7.1.5-8.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1419187
Environment:
Last Closed: 2018-03-15 12:37:16 UTC
Target Upstream Version:
tshefi: automate_bug-


Attachments (Terms of Use)
Controller-0's cinder logs (323.42 KB, application/zip)
2018-03-09 07:25 UTC, Tzach Shefi
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1614467 0 None None None 2017-12-09 10:14:26 UTC
OpenStack gerrit 357082 0 None None None 2017-12-09 10:14:26 UTC
Red Hat Product Errata RHBA-2018:0531 0 None None None 2018-03-15 12:37:26 UTC

Comment 3 Dana Safford 2017-12-12 18:26:57 UTC
I just raised the hotfix requested flag.  The hotfix will be needed before 13 JAN 2018.

Comment 17 Tzach Shefi 2018-03-09 07:25:41 UTC
Created attachment 1406159 [details]
Controller-0's cinder logs

Comment 20 Paul Grist 2018-03-09 18:23:17 UTC
Reducing this to medium as well if it only applies to LVM which is not supported for production use.

Based on the results, looks like this may be fixed, but the overall operation is now failing based on https://bugzilla.redhat.com/show_bug.cgi?id=1412661.

Comment 23 errata-xmlrpc 2018-03-15 12:37:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0531


Note You need to log in before you can comment on or make changes to this bug.